/* eslint-disable react/jsx-no-target-blank */
import React from 'react'
import {useIntl} from 'react-intl'
import {AsideMenuItemWithSub} from './AsideMenuItemWithSub'
import {AsideMenuItem} from './AsideMenuItem'

export function AsideMenuMain() {
  const intl = useIntl()

  return (
    <>
      <AsideMenuItem
        to='/dashboard'
        icon='/media/icons/duotune/art/art002.svg'
        title={intl.formatMessage({id: 'MENU.DASHBOARD'})}
        fontIcon='bi-app-indicator'
      />

      <div className='menu-item'>
        <div className='menu-content pt-8 pb-2'>
          <span className='menu-section text-muted text-uppercase fs-8 ls-1'>Klok SDK</span>
        </div>
      </div>

      <AsideMenuItem
        to='/apps/management/persons/all/1'
        icon='/media/icons/duotune/general/gen051.svg'
        title='Catch All'
        fontIcon='bi-layers'
      />

      <AsideMenuItem
        to='/apps/management/organisations/all/1'
        icon='/media/icons/duotune/general/gen051.svg'
        title='Manage Inboxes'
        fontIcon='bi-layers'
      />

      <AsideMenuItem
        to='/apps/management/positions/all/1'
        icon='/media/icons/duotune/general/gen051.svg'
        title='AP Status'
        fontIcon='bi-layers'
      />
    </>
  )
}
